List distribution settings
/distribution/list_distribution_settings
Target audience: Developers
List distribution settings¶
Introduction¶
This endpoint returns the distribution settings for a given user product. The user product can be identified by one of user_product_id, order_id, or subscription_number — exactly one must be provided.
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v1/distribution/list_distribution_settings |
| Production | https://backend.worldoftulo.com/external/api/v1/distribution/list_distribution_settings |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/distribution/r |
Parameters¶
| Field | Required | Type | Description |
|---|---|---|---|
| user_product_id | Optional | String | The id of the user product. Exactly one of user_product_id, order_id, or subscription_number is required.Max length: 50 |
| order_id | Optional | String | The order id to look up the user product by. Exactly one of user_product_id, order_id, or subscription_number is required.Max length: 50 |
| subscription_number | Optional | String | The subscription number to look up the user product by. Exactly one of user_product_id, order_id, or subscription_number is required.Max length: 50 |
Curl Example¶
Get¶
curl --request GET \
--url 'https://payway-api.stage.adeprimo.se/external/api/v1/distribution/list_distribution_settings?user_product_id=<user_product_id>' \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>'
Response¶
Successful response¶
HTTP 200
{
"items": [
{
"id": "<distribution_settings_id>",
"user_product_id": "<user_product_id>",
"distribution_method": "<distribution_method>",
"distribution_copies": 1,
"state": "active",
"distribution_address": {
...
}
}
]
}
Errors¶
This API uses the common error conventions of the Payway API